<?php
require'f_descarcari.php';
$titlu='Noteaza fișier '.$pnume;
require'f_sus.php';
require'f_mut.php';
if($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$pinfo[1].'"')->fetch_row()[0]==0)
{
if(($pmtext>=1&&$pmtext<=10?$conn->query('INSERT INTO`descarcari_note`SET`de`="'.$de.'",`pid`="'.$pid.'",`valoare`="'.$pmtext.'",`pret`="'.$pinfo[11].'",`data`="'.$_SERVER['REQUEST_TIME'].'"'):false))
{
if($pinfo[11]>0&&$pinfo[1]!=$de)
{
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$pinfo[11].' WHERE`id`="'.$pinfo[1].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$pinfo[11].' WHERE`id`="'.$de.'"');
}
if($de!=$pinfo[1])
{
require'f_notificare.php';
notificare('am dat nota '.$pmtext.', la fișierul tau [url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url]![br/]Din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]',$pinfo[1],$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="a dat nota '.$pmtext.', la fișierul [url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pinfo[3].'[/url][br/]Din albumul [url=/descarcari/album/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Fisier notat cu nota <strong>'.$pmtext.'</strong>'.($pinfo[11]>0?', iar tu ai primit de la '.nume($pinfo[1]).' <strong>'.$pinfo[11].'</strong> lei':'').'!<br />Vei primi notificari cand primește comentarii noi!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Probabil nu ai selectat nici o nota, sau ai notat acest fișier!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți nota acest fișier, deoarece '.nume($pinfo[1]).' te are în lista cu persoane ignorate!';
echo$div[0];
require'f_jos.php';